IDNGRAM_MERGE(1)

NAME
idngram_merge - merge idngram file into one

SYNOPSIS
idngram_merge [option]... idngram_file...

DESCRIPTION
idngram_merge merge multiple idngram file, each of them are sorted [id1,...,idN,freq] array, into one idngram file. For those id1..idN which appear in more than one files, only one item will appear in the final file, and its freq are summed. The idngram files are original generated by ids2ngram.

OPTIONS All the following options are mandatory.

-n, --NMax N
    Specify the N-gram of source data file.

-o, --out output-file
    Specifiy the final merged idngram file.

EXAMPLE
Following example merge 2 id3gram files into a large one:

    B<idngram_merge -n3 -o all.id3gram first.id3gram second.id3gram>

AUTHOR
Originally written by Phill.Zhang <phill.zhang@sun.com>. Currently maintained by Kov.Chai <tchaikov@gmail.com>.

SEE ALSO
ids2ngram(1).